Subject: bug#18552: Possible bug building emacs trunk with Fedora 19-x86_64

From: Dmitry Antipov <[email-masked]>
Date: Thu, 25 Sep 2014 07:49:18 +0400

On 09/25/2014 01:42 AM, George R Goffe wrote:

> I am having trouble building an up to date version of emacs on my fedora 19 system.
> This configure suggests including --with-jpeg=no. I tried this and got the same
> error message. As far as I know, my
> system has all the jpeg libraries. I have also provided my parameters for ./configure.
> Can you look things over and let me what I'm doing wrong please?

1) Always update to latest official package from your distribution.  For Fedora 19, it
    seems to be libjpeg-turbo-1.3.1-2 and libjpeg-turbo-devel-1.3.1-2, respectively.

2) Make sure that you don't have alien installation of libjpeg in non-standard
    location, or make sure that this installation is not accessible by Emacs'
    configure script.

3) Run this:

    echo -e "#include <jpeglib.h>\nversion=JPEG_LIB_VERSION" | cpp | grep -E "version= *(6[2-9]|[7-9][0-9])"

    If you don't see any output, re-check 2) because Fedora 19 definitely ships
    the jpeg library recent enough to built Emacs trunk.

Dmitry